Functions

Trigger webhook functions

Public endpoint for external services to trigger functions with `trigger.type: webhook`. No authentication required. Optionally verify using `X-Webhook-Secret` header (configure per project or via FUNCTION_WEBHOOK_SECRET). Rate limited to 120 requests per 15 minutes per IP (per-org adjustable).

AuthPublic
GroupFunctions
Rate limitSee Rate Limits
POST/api/functions/webhook/{projectId}

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, FunctionsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const functions = new FunctionsApi(configuration);
import { Configuration, FunctionsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const functions = new FunctionsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await functions.triggerFunctionWebhook(
  "proj_RvKdeRwbDaVd",
  {
    event: "panel parse",
    userId: "usr_mM7rkEcyZuTtaf",
    timestamp: "2026-08-02T03:15:07.102Z"
  }
);
const { data: result } = await functions.triggerFunctionWebhook(
  "proj_RvKdeRwbDaVd",
  {
    event: "panel parse",
    userId: "usr_mM7rkEcyZuTtaf",
    timestamp: "2026-08-02T03:15:07.102Z"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Request Body

json
{}
{}

Responses

200Functions triggered successfully

Successful trigger

json
{
  "success": true,
  "triggered": 2,
  "results": [
    {
      "functionId": "685af8b85d73a104065b6a77",
      "success": true,
      "result": {
        "processed": true
      },
      "executionTime": 45
    },
    {
      "functionId": "685af8b85d73a104065b6a78",
      "success": true,
      "result": {
        "processed": true
      },
      "executionTime": 32
    }
  ]
}
{
  "success": true,
  "triggered": 2,
  "results": [
    {
      "functionId": "685af8b85d73a104065b6a77",
      "success": true,
      "result": {
        "processed": true
      },
      "executionTime": 45
    },
    {
      "functionId": "685af8b85d73a104065b6a78",
      "success": true,
      "result": {
        "processed": true
      },
      "executionTime": 32
    }
  ]
}

No matching functions

json
{
  "success": true,
  "triggered": 0,
  "results": []
}
{
  "success": true,
  "triggered": 0,
  "results": []
}
400Invalid project ID
json
{
  "success": false,
  "error": "program back up"
}
{
  "success": false,
  "error": "program back up"
}
401Invalid webhook secret
json
{
  "success": false,
  "error": "Invalid webhook secret"
}
{
  "success": false,
  "error": "Invalid webhook secret"
}
404Project not found
429Rate limit exceeded

Errors

CodeMeaning
400Invalid project ID
401Invalid webhook secret
404Project not found
429Rate limit exceeded
Edit this page on GitHub